<?PHP
// Class CROSSDATA V. 0.7.0 5 agosto 2015 PHP 5 compatible
// free to use but no warranties
// El Condor - Condor Informatique - Turin
function setCRossDataParameters($dbh) {
	$crObj = new CrossData;
	$crObj->ifEmpty = $GLOBALS["ifEmpty"];
	$crObj->precision = $GLOBALS["decimals"];
	$crObj->thousandsSep = $GLOBALS["thousandsSep"];
	$crObj->decPoint = $GLOBALS["decPoint"];
	$crObj->dbh = $dbh;
	if ($GLOBALS["cBack"] == "yes") $crObj->callBack = "callBack";
	if ($GLOBALS["wStyle"] == "no") $crObj->noStyle = true;
	return $crObj;
}
function callBack($r,$c,$aData,$hr,$hc) {
	$hTot = $aData[$r][count($aData[$r])-1];
	if (is_numeric($aData[$r][$c])) {
		$perc = $aData[$r][$c]*100/$aData[$r][count($aData[$r])-1];
		if ($perc > 60 && $perc < 100) return "<span style='color:green'>".$aData[$r][$c]."</span>";
		if ($perc < 30) return "<span style='color:red'>".$aData[$r][$c]."</span>";
	}
	return $aData[$r][$c];
}
foreach ($_REQUEST as $key => $value) $GLOBALS[$key] = $value;
if (isset($fnz)) {
    include 'crossdata.php';
	try {
		$dbh = new PDO('sqlite:condor.sqlite');		// *************** SQLite
	} catch (PDOException $e) {
	   print "<br/>Error!: ".$e->getMessage();
	   die();
	}
	if ($fnz == "crossData" || $fnz == "getScript") {
		$sql = "CROSS $firstField ".(($firstAlias == "")?"": "'$firstAlias'")." BY $secondField ".(($secondAlias == "")?"":"'$secondAlias'");
		$sql .= " $operation $thirdField ";
		$sql .= ($fieldAlias == "")?"": "'$fieldAlias' ";
	    if (get_magic_quotes_gpc()) $whereClause = stripslashes($whereClause);
		$sql .= "FROM orders".(($whereClause != "")?" WHERE $whereClause":"");
	    if ($fnz == "crossData") {
			$crObj = setCRossDataParameters($dbh);
			if ($table == "yes") echo $crObj->Cross($sql,$title);
	    	else {
	    		echo "<pre>";
	    		print_r($crObj->Cross($sql,"",true));
	    	}
	    } else
	        echo $sql;
	} elseif ($fnz == "immediate") {
    	$crObj = new CrossData;
		$crObj->dbh = $dbh;
    	if (!isset($title)) $title = "";
    	if (get_magic_quotes_gpc()) {
    		$source = stripslashes($source);
    		$title = stripslashes($title);
		}
    	if (isset($precision)) $crObj->precision=$precision;
	    if (isset($ifEmpty)) $crObj->ifEmpty = $ifEmpty;
		echo $crObj->Cross($source,$title);
	} elseif ($fnz == "statement") {
    	$crObj = new CrossData;
		$crObj = setCRossDataParameters($dbh);
    	if (get_magic_quotes_gpc()) {
    		$source = stripslashes($source);
		}
     	echo $crObj->Cross($source);		
	}
}
?>