signal on notready -- handle file errors
curdir = directory()
flname = SysTempFileName(curdir||"\tempfile.???")
parms = arg(1)	-- arg(1) contains all parameters separated by space
do while parms \= ""
	parse var parms key value parms
	value = changestr("+",value," ")	-- restore spaces
	dizParms.key = value
end
key = "Type"
SELECT
	When dizParms.key == "Images" Then do
		f = .File~new(curdir || "\images")~list~makearray~sortwith(.caselesscomparator~new)
		myRE = .RegularExpression~new("?*(.gif|.png|.jpg)")
		images = .array~of()
		loop k over f
			if myRE~match(k~lower) == 1 Then images~append(k)
		end k
		n = CHAROUT(,images~toString(,","))
		exit
	end
	When dizParms.key == "Authors" Then do
		sql = "SELECT 'I' x,Autore FROM InforCitazioni UNION SELECT 'C',Autore FROM Citazioni ORDER BY x,Autore"
		'sqlite3 condor.sqlite "' sql '"> ' || flname
		response = ""	-- response string
		citeTYpe = ""
		do while lines(flname) > 0
			line = linein(flname)
			if left(line,1) \= citeType Then do
				citeType = left(line,1)
				if citeType == "C" Then response = response||",|=Social Aphorisms"
				else response = response||",|=IT Aphorisms"
			end	
			response = response||","||line~substr(3)
		end
		n = CHAROUT(,response)
	end
	When dizParms.key == "Cite" Then do
		table = "Citazioni"
		authorGroup = "Author_Group"
		Author = "Author"
		if dizParms.authorGroup == "IT Aphorisms" Then table = "InforCitazioni"
		sql = "SELECT Dove,Data,Citazione FROM " || table || " WHERE Autore = '" || dizParms.Author || "'"
		'sqlite3 condor.sqlite "' sql '"> ' || flname
		response = "<table><caption>" || dizParms.Author || "</caption>"	-- response string
		do while lines(flname) > 0
			line = linein(flname)
			response = response || "<tr><td>" || Changestr("|",line,"</td><td>") || "</td></tr>"
		end
		n = CHAROUT(,response||"</table>")
	end
	Otherwise
	Nop
end
CALL STREAM flname, 'C', 'CLOSE'
"del" flname
exit
/* errors handling */
notready:
 say flname "doesn't exists"
 exit
::requires "rxregexp.cls"